Subject: Opportunities at UC Berkeley

From: The SCIBUGS <[email-masked]>
Date: 14 Feb 1996 05:31:31 GMT

The Society of Cal Integrative Biology Undergraduate Students at the 
University of California, Berkeley, present their new and improved web 
page (http://server.berkeley.edu/SCIBUGS/).  It is full of resources for 
students and professionals in biology and its related fields (ie 
medicine, ecology, land management, agriculture,financial aid, research 
opportunites, etc).  You can find forums to discuss biology related 
issues and interact in a virtual community.  Have fun and try it today!